Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.pdf
Enum PDFXMode

    java.lang.Object
      java.lang.Enum<PDFXMode>
          org.apache.fop.pdf.PDFXMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PDFXMode>

    public enum PDFXMode

extends java.lang.Enum<PDFXMode>

Enum class for PDF/X modes.

Enum Constant Summary
`DISABLED` PDF/X disabled
`PDFX_3_2003` PDF/X-3:2003 enabled
`PDFX_4`

Method Summary
`java.lang.String` | `getName()`
`static PDFXMode` | `getValueOf(java.lang.String s)` Returns the mode enum object given a String.
`java.lang.String` | `toString()`
`static PDFXMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PDFXMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISABLED

    public static final PDFXMode DISABLED

  PDF/X disabled

### PDFX_3_2003

    public static final PDFXMode PDFX_3_2003

  PDF/X-3:2003 enabled

### PDFX_4

    public static final PDFXMode PDFX_4

Method Detail

### values

    public static PDFXMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PDFXMode c : PDFXMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PDFXMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Returns:
    the name of the enum

### getValueOf

    public static PDFXMode getValueOf(java.lang.String s)

  Returns the mode enum object given a String.

  Parameters:
    `s` - the string
  Returns:
    the PDFAMode enum object (DISABLED will be returned if no match is found)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<PDFXMode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.